@charset "utf-8";

.header {
  transition: var(--default);
  position: relative;
  z-index: 99;
  pointer-events: none;
}

.header .page-menu {
  max-width: 210px;
  width: 19%;
  display: flex;
  flex-direction: column;
  gap: 40px;
  pointer-events: auto;
}



.h-logo img {
  width: 100%;
  height: auto;
}

.header .inner {
  display: flex;
  flex-direction: column;
  gap: 40px;
  padding-top: 20px;
}

.header .h_menu {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.header .h_menu a,
.header .h_menu .parent-link>a {
  font-weight: 400;
  font-size: 18px;
  color: #000;
}

.header .h_menu .parent-link {
  position: relative;
  display: flex;
  gap: 17px;
}

.header .h_menu .parent-link .arrow {
  width: 9px;
  aspect-ratio: 1/1;
  background: url(/system_panel/uploads/images/20260829113245901934.svg) no-repeat center/contain;
}


.header .h_menu .parent-link .child-link a {
  opacity: 0;
  transition: .4s ease;
}



.header .h_menu .parent-link:hover .child-link a:hover {
  opacity: 50%;
  transition: .4s ease;
}



.header .h_menu .child-link>a {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  font-weight: 400;
  font-size: 14px;
  line-height: calc(32/14);
  color: #000;
}



.hamburger {
  width: 53px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  z-index: 100;
  position: fixed;
  right: 42px;
  top: 28px;
  pointer-events: auto;
}

.hamburger .line {
  position: absolute;
  left: 0;
  right: 0;
  margin: auto;
  width: 100%;
  height: 2px;
  background-color: #000000;
  transition: var(--default);
}

.hamburger .line1 {
  top: 0;
}

.hamburger .line2 {
  top: 21px;
}

.hamburger .line3 {
  top: 42px;
}

.hamburger.active .line1 {
  top: 7px;
  transform: rotate(45deg);
}

.hamburger.active .line2 {
  opacity: 0;
}

.hamburger.active .line3 {
  top: 7px;
  transform: rotate(-45deg);
}

.navigation .menu-inner {
  padding: 120px 0 100px;
  position: relative;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  text-align: center;
  width: 100%;
  margin: 0 auto;
}

.navigation {
  display: block;
  position: fixed;
  pointer-events: none;
  top: 0;
  right: -100%;
  width: 40%;
  transition: all 0.8s;
  overflow: auto;
  background-color: #FFF;
  height: 100vh;
}

.navigation a {
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  border-bottom: 1px solid #cbcbcb;
  padding: 20px 0 20px 38px;
  gap: 16px;
}

.navigation .parent-link>p {
  border: none;
  gap: 16px;
  display: flex;
  align-items: center;
}

.header .h_menu a,
.header .h_menu .parent-link {
  gap: 16px;
  display: flex;
  align-items: center;
}

.navigation a::before,
.navigation .parent-link>p::before,
.header .h_menu .parent-link::before,
.header .h_menu a::before {
  content: "";
  display: inline-block;
  width: 6px;
  aspect-ratio: 1/1;
  border-radius: 50px;
  background: #f8c20b;
}

.header .h_menu .child-link>a::before {
  content: none;
}


.navigation a .arrow {
  width: 20px;
  aspect-ratio: 1/1;
  background: url(/system_panel/uploads/images/20260827123153367397.svg) no-repeat center/contain;
}

.navigation .parent-link {
  padding-bottom: 20px;
  border-bottom: 1px solid #cbcbcb;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;

}

.navigation .parent-link>a {
  padding: 20px 0 0 38px;
  width: 100%;
  border-bottom: none;
}

.navigation .child-link {
  display: flex;
  flex-direction: column;
  font-weight: 400;
  font-size: 16px;
  line-height: calc(40/16);
  color: #000;
  width: 100%;
}

.navigation .child-link a::before {
  content: none;
}


.page-menu .child-link {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  padding-left: 1.5em;
  transition:
    padding 0.5s ease,
    max-height 0.5s ease,
    opacity 0.35s ease,
    visibility 0.35s ease;

}

.page-menu .dropdown.is-open .child-link {
  max-height: 1000px;
  opacity: 1;
  visibility: visible;
  padding: 16px 0 0 1.5em;
}

.page-menu .parent-link {
  cursor: pointer;

}

.page-menu .parent-link .arrow {
  transition: transform 0.35s ease;
}

.page-menu .dropdown.is-open .parent-link .arrow {
  transform: rotate(180deg);
}

.navigation .child-link a {
  border-bottom: none;
  padding: 0 0 0 calc(38px + 1.5em);
  width: 100%;
  display: flex;
}



.navigation.active {
  right: 0;
  pointer-events: all;
}




@media (max-width: 1280px) {
  .header .inner {
    padding-left: 1%;
  }



  .header .h_menu {
    gap: 15px;
  }
}

@media (max-width: 1180px) {}

@media (max-width: 1023px) {
  .header {
    margin-bottom: 0;
    padding-left: 0;
    padding-bottom: 20px;
  }
}

@media (max-width: 767px) {
  .navigation.active {
    width: 100%;
  }

  .navigation .parent-link>a {
    padding: 20px 0 0 25%;
  }

  .navigation .child-link a {
    padding-left: calc(25% + 1.5em);
  }

  .header .inner {
    padding-top: 14px;
    padding-left: 0;
  }

  .header .page-menu {
    width: 100%;
    max-width: 97px;
  }

  .hamburger {
    width: 26px;
    height: 20px;
    right: 13px;
    top: 14px;
  }

  .hamburger .line2 {
    top: 10px;
  }

  .hamburger .line3 {
    top: 20px;
  }

  .h_logo {
    max-width: 159px;
    width: 100%;
  }


  .navigation a {
    position: relative;
    padding: 20px 25%;
    display: flex;
    align-items: center;
    gap: 16px;
  }



  .navigation .menu-inner .list {
    margin-bottom: 27px;
  }

  .navigation .other {
    gap: 24px;
  }

  .navigation .other a {
    border-bottom: none;
  }

  .header .tel-link {
    padding: 0;
  }

  .header .c-link {
    padding: 14px 0;
  }

}





/* 管理画面用 */

.gjs-dashed .fixed-menu {
  top: 80px;
}


.gjs-dashed .navigation {
  right: 0;
  top: 200px;
  pointer-events: all;
  overflow: auto;
}

.gjs-dashed .navigation .menu-inner {
  height: 60vh;
  padding-bottom: 300px;
}

.gjs-dashed .header .h_menu .parent-link .child-link a {
  opacity: 1;
  pointer-events: all;
}

.gjs-dashed .page-menu .dropdown .child-link {
  max-height: 1000px;
  opacity: 1;
  visibility: visible;
  padding: 16px 0 0 1.5em;
}